Yum update still failing

Hi,
when trying to “yum update” I still get errors. the collisions I had previously could be removed, now i am astuck at this point:
Running transaction check
Running transaction test

Transaction check error:
Datei /usr/lib/python3.6/site-packages/chardet/__init__.py kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/__init__.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/__init__.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/big5freq.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/big5freq.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/big5prober.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/big5prober.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/chardistribution.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/chardistribution.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/charsetgroupprober.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/charsetgroupprober.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/charsetprober.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/charsetprober.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/codingstatemachine.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/codingstatemachine.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/compat.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/compat.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/cp949prober.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/cp949prober.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/escprober.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/escprober.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/escsm.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/escsm.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/eucjpprober.cpython-36.opt-1.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
Datei /usr/lib/python3.6/site-packages/chardet/__pycache__/eucjpprober.cpython-36.pyc kollidiert zwischen den versuchten Installationen von python36u-chardet-3.0.4-1.sng7.noarch und python36-chardet-2.3.0-6.el7.noarch
[...]
Datei /usr/lib/python3.6/site-packages/setuptools/wheel.py kollidiert zwischen den versuchten Installationen von python36u-setuptools-39.0.1-1.ius.centos7.noarch und python36-setuptools-39.2.0-3.el7.noarch

Fehler-Zusammenfassung
----------------------

any ideas?

You have the EPEL installed?

yes, i think so:

[[email protected] yum.repos.d]$  pwd
/etc/yum.repos.d
[[email protected] yum.repos.d]$  ls -l
insgesamt 36
-rw-r--r-- 1 root root 1359 22. Mai 2018  CentOS-Sources.repo
-rw-r--r-- 1 root root  106 31. Mär 2017  irontec.repo
-rw-r--r-- 1 root root 1503 22. Mai 2018  Sangoma-Base.repo
-rw-r--r-- 1 root root  316 22. Mai 2018  Sangoma-Commercial.repo
-rw-r--r-- 1 root root 1323 22. Mai 2018  Sangoma-CR.repo
-rw-r--r-- 1 root root  290 22. Mai 2018  Sangoma-fasttrack.repo
-rw-r--r-- 1 root root  588 22. Mai 2018  Sangoma-Media.repo
-rw-r--r-- 1 root root  438 22. Mai 2018  Sangoma-Sources.repo
-rw-r--r-- 1 root root  491 20. Sep 03:12 Sangoma-Test.repo

Then remove it. By default, this is all you should have

ok, i was wrong. i have exactly the same repos installed as you:

Yes, in a sense you do. You have the same exact repos in your list that @sorvani showed in his screenshot but your lists are not the same. You have an additional repo listed for the Irontec RPMs which are now causing a conflict between the Sangoma based RPMs that are installed.

So as it was advised earlier, remove it.

did it, issue remains…
btw: irontec is for sngrep and needs these prerequisites - nothing with python:
Prerequisites

  • libncurses5 - for UI, windows, panels.
  • libpcap - for capturing packets.
  • libssl - (optional) for TLS transport decrypt using OpenSSL and libcrypt
  • gnutls - (optional) for TLS transport decrypt using GnuTLS and libgcrypt
  • libncursesw5 - (optional) for UI, windows, panels (wide-character support)
  • libpcre - (optional) for Perl Compatible regular expressions

Not on a distro install.

Confirmed. On new SNG7 installs, sngrep is installed by default. Systems upgraded to SNG7 can install with

yum install sngrep

You should never add yum repos to a Disto system of any version.

… unless you are willing to pay THE ULTIMATE PRICE.

Just kidding, but @lgaetz is right. Adding additional software can make your system operate unreliably. If you are going to add software, you need to know what the effect is going to be and make sure you are not doing anything that is going to compete with the YUM install scripts.

that repo is there from SNG6 - however, how can i get a clean system again?
it is just a private system, so it is not that issue, but i used t have this system as some kind of test system for another installation which is more important.

edit: removed sngrep from irontec and reinstalled it from sng7. that was fine. now i still want to get the rest of the system up to date.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.